﻿# EliteBGS changelog

## 0.1.7 on 09.11.2022

* Fixed a bug related to total amount of credits gained by turning in organic data.
* Changed UI to have report, and objectives on the same page.
* Report now automatically updates when objectives and entries are selected, deselected or removed.
* Removed manual adding of objectives.

## 0.1.6 on 24.09.2022

* Fixed datetime format.

## 0.1.5 on 24.08.2022

* Added some mission names.
* Updated README regarding Update 13.

## 0.1.4 on 24.07.2022

* Fixed hour display with entires (now in 24 hour format).
* Allow adding combat zones regardless of whether an objective is selected, or an
  entry. If an entry is selected simply use its objective instead.
* Add timestamp to combat zone wins.

## 0.1.3 on 07.06.2022

* Fixed a bug where entries in non-rated journal files were not properly picked up.
* Remove EDDB database usage. This feature could block the tool if it failed to convert
  the JSON to something more usable, downloads took forever, and the tool itself could
  run out of memory loading and converting JSON from EDDB. With automatic objective
  detection this tool is no longer really needed.

## 0.1.2 on 06.04.2022

* If you remove an item the tree items stay collapsed/expanded. (thanks CMDR NeedX).
* Fixed a bug where the program would crash if you opened the manual log entry
  window twice (thanks CMDR NeedX).
* Fixed a bug regarding organic data not being properly recognised in logs.
* Date and time when the entry has been added to the overview.
  * The actual entry is now semi-bold to distinguish it from the date time.
* You can now select which item should appear in the final log, and which shouldn't.

## 0.1.1 on 15.03.2022

* Update tool to work with the new journal filenames introduced in Update 11.

## 0.1.0 on 27.02.2022

* Final release without beta in front of it.
* Several new mission names for the XML.
* A few small fixes towards the Discord log formatting.

## 0.1.0-beta14 on 26.02.2022

* Missions that give out no influence whatsoever apparently exist. Here the strategy
  is to add them to the list anyway, and warn the user that this might happen because
  of conflicts.

## 0.1.0-beta13 on 24.02.2022

* Missions that give no influence are now properly shown again. A warning is also
  displayed on why there is no influence there (spoiler alert: conflicts).
* Missions that give influence to an unknown faction are still ignored, but there is
  now a warning about it.
* Added a few new mission names to the XML.

## 0.1.0-beta12 on 18.02.2022

* Failed missions now properly show up where they were accepted, instead of where they
  were failed.

## 0.1.0-beta11 on 16.02.2022

* Fixed a bug in which mission influence was assigned to the wrong station, system
  and faction. But now the log entry for accepting a mission must be within the given
  range.
* Stop complaining about missing objective files.
* Add a few more mission names to the XML.

## 0.1.0-beta10 on 12.02.2022

* Added search and rescue.
* For mourders try to determine the faction of the victim. The CommitCrime event
  lists the faction that issues the bounty, and not the faction of the victim.
* Vouchers are now properly treated. Each individual voucher is assigned a separate
  objective, if the target faction for said voucher is present in the system.

## 0.1.0-beta9 on 07.02.2022

* Added Vista Genomics to the reports.

## 0.1.0-beta8 on 29.01.2022

* Fixed a bug where influence was wrongly counted for missions were both the
  main beneficiary, and the secondary beneficiary are the same faction.
* Tightened selection of which entry goes to which objective.

## 0.1.0-beta7 on 27.01.2022

* Added murders, since they give negative INF for the target faction.
* Cargo is now collated for the NONA discord template.
* Empty secondary influences no longer show up.
* Market buying is not part of the BGS since Update 10.
* Remove decimal point unless absolutely necessary.
* Fixed log file template regarding failed missions.
* Support missions were the source and target are both the same faction, but in
  different systems. Here both systems should be listed in the BGS list.

## 0.1.0-beta6 on 22.01.2022

* Month names should now always be in English in the NONA log format.
* Add influence support (by secondary mission objectives) to the log format.
* Remember last used discord log template.
* Add support for SellExplorationData journal entry.
* Improve credit formatting.

## 0.1.0-beta5 on 21.01.2022

* Missions that affect more than one faction now properly show that in the list.
* Cargo sold now shows a better name for the commodity (if available in journal).
* Added more mission names.
* Mission names are now part of an XML file.
* Added licence file with GPLv3.

## 0.1.0-beta4 on 13.01.2022

* Fixed a bug in date/time selection. It no longer uses the start date as start and end.

## 0.1.0-beta3 on 12.01.2022

* Collated failed missions into a single entry with a counter
* Added failed missions to Nova Navy log template
* Detect trade profit/loss
* Allow adjusting trade profit/loss with a new window

## 0.1.0-beta2 on 09.01.2022

* Adding combat zones has been repaired

## 0.1.0-beta1 on 07.01.2022

* Initial release